# Generated from bio-octopus-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name bio-octopus

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: Running and parsing of the protein transmembrane domain predictor octopus
License: MIT
URL: http://github.com/wwood/bioruby-octopus
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(jeweler) >= 1.5.2
# BuildRequires: rubygem(jeweler) < 1.6
# BuildRequires: rubygem(rcov)
# BuildRequires: rubygem(bio) >= 1.4.1
BuildArch: noarch

%description
Running and parsing of the protein transmembrane domain predictor octopus.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/biooctopus.rb
%{_bindir}/biooctopus
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/bio-octopus.gemspec
%{gem_instdir}/test

%changelog
* Sun Sep 12 2021 mockbuilder - 0.1.1-1
- Initial package
